Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001449KdenliveFile Loadingpublic2010-02-18 02:592013-01-28 19:51
Reporterfarid 
Assigned Toj-b-m 
PriorityimmediateSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
Platform64 bitOSArchlinuxOS Versionn/a
Product Version 
Target VersionFixed in Version0.9.4 
Summary0001449: Segmentation fault after opening old project
Descriptioni tried to open a project of 0.7.6 with the new 0.7.7 release and it crashes.
Steps To Reproduceopen kdenlive, select to open a recent file.
Additional Informationthis info is from gdb:

Starting program: /usr/bin/kdenlive
[Thread debugging using libthread_db enabled]
[New Thread 0x7fffdc569710 (LWP 7861)]
[New Thread 0x7fffdbd68710 (LWP 7862)]
[Thread 0x7fffdc569710 (LWP 7861) exited]
[Thread 0x7fffdbd68710 (LWP 7862) exited]
[New Thread 0x7fffdbd68710 (LWP 7863)]
[New Thread 0x7fffdc569710 (LWP 7864)]
[Thread 0x7fffdbd68710 (LWP 7863) exited]
[Thread 0x7fffdc569710 (LWP 7864) exited]
[New Thread 0x7fffdc569710 (LWP 7865)]
[New Thread 0x7fffdbd68710 (LWP 7866)]
[Thread 0x7fffdc569710 (LWP 7865) exited]
[Thread 0x7fffdbd68710 (LWP 7866) exited]
[New Thread 0x7fffdbd68710 (LWP 7867)]
[New Thread 0x7fffdc569710 (LWP 7868)]
[Thread 0x7fffdbd68710 (LWP 7867) exited]
[Thread 0x7fffdc569710 (LWP 7868) exited]
[New Thread 0x7fffdc569710 (LWP 7869)]
[New Thread 0x7fffdbd68710 (LWP 7870)]
[Thread 0x7fffdc569710 (LWP 7869) exited]
[Thread 0x7fffdbd68710 (LWP 7870) exited]
[New Thread 0x7fffdbd68710 (LWP 7871)]
[New Thread 0x7fffdc569710 (LWP 7872)]
[Thread 0x7fffdbd68710 (LWP 7871) exited]
[Thread 0x7fffdc569710 (LWP 7872) exited]
[New Thread 0x7fffdc569710 (LWP 7873)]
[New Thread 0x7fffdbd68710 (LWP 7874)]
[Thread 0x7fffdc569710 (LWP 7873) exited]
[Thread 0x7fffdbd68710 (LWP 7874) exited]
[New Thread 0x7fffdbd68710 (LWP 7875)]
[New Thread 0x7fffdc569710 (LWP 7876)]
kdenlive(7858)/kdeui (kdelibs) QWidgetStackAccelManager::currentChanged: invalid index provided
[New Thread 0x7fffdb149710 (LWP 7877)]
[New Thread 0x7fffda948710 (LWP 7878)]
[Thread 0x7fffdbd68710 (LWP 7875) exited]
[Thread 0x7fffdc569710 (LWP 7876) exited]

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0x7fffdb149710 (LWP 7877)]
0x00007fffdedcc489 in consumer_thread () from /usr/lib/mlt/libmltsdl.so
(gdb) bt
#0 0x00007fffdedcc489 in consumer_thread () from /usr/lib/mlt/libmltsdl.so
#1 0x00007ffff57c981a in start_thread () from /lib/libpthread.so.0
0000002 0x00007ffff40d1c7d in clone () from /lib/libc.so.6
0000003 0x0000000000000000 in ?? ()
TagsNo tags attached.
Build/Install MethodDistribution package
Attached Files? file icon silza.kdenlive [^] (20,762 bytes) 2010-02-22 19:59

- Relationships

-  Notes
(0004731)
j-b-m (administrator)
2010-02-20 08:49

the backtrace is not really helpful. Does Kdenlive 0.7.7 work correctly if you create a new project? If it does, could you attach the project file here or mail it to me (webmaster at kdenlive)
(0004741)
farid (reporter)
2010-02-22 19:59

i just uploaded the project... hope it helps.

cheers
(0004773)
farid (reporter)
2010-02-28 14:12

hello,

this is the backtrace i got from opening with 0.7.7.1

Application: Kdenlive (kdenlive), signal: Segmentation fault
[Current thread is 1 (Thread 0x7f731e961760 (LWP 3135))]

Thread 3 (Thread 0x7f7300e72710 (LWP 3270)):
[KCrash Handler]
0000004 0x00007f730578b489 in consumer_thread () from /usr/lib/mlt/libmltsdl.so
0000005 0x00007f731c18581a in start_thread () from /lib/libpthread.so.0
0000006 0x00007f731aa8dc7d in clone () from /lib/libc.so.6
0000007 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f7302727710 (LWP 3271)):
#0 0x00007f731c18a07c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1 0x00007f730578a59d in consumer_thread () from /usr/lib/mlt/libmltsdl.so
0000002 0x00007f731c18581a in start_thread () from /lib/libpthread.so.0
0000003 0x00007f731aa8dc7d in clone () from /lib/libc.so.6
0000004 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f731e961760 (LWP 3135)):
#0 0x00007f731aa85483 in poll () from /lib/libc.so.6
#1 0x00007f731614880a in _xcb_conn_wait () from /usr/lib/libxcb.so.1
0000002 0x00007f7316148da7 in _xcb_out_send () from /usr/lib/libxcb.so.1
0000003 0x00007f7316149055 in xcb_writev () from /usr/lib/libxcb.so.1
0000004 0x00007f731992ddca in _XSend () from /usr/lib/libX11.so.6
0000005 0x00007f731991a2f5 in PutSubImage () from /usr/lib/libX11.so.6
0000006 0x00007f731991a4ce in XPutImage () from /usr/lib/libX11.so.6
0000007 0x00007f731b547a8a in QX11PixmapData::fromImage(QImage const&, QFlags<Qt::ImageConversionFlag>) () from /usr/lib/libQtGui.so.4
0000008 0x00007f731b53a2db in QPixmapData::fromFile(QString const&, char const*, QFlags<Qt::ImageConversionFlag>) () from /usr/lib/libQtGui.so.4
0000009 0x00007f731b535d64 in QPixmap::load(QString const&, char const*, QFlags<Qt::ImageConversionFlag>) () from /usr/lib/libQtGui.so.4
0000010 0x00007f731b536207 in QPixmap::QPixmap(QString const&, char const*, QFlags<Qt::ImageConversionFlag>) () from /usr/lib/libQtGui.so.4
0000011 0x0000000000472280 in _start ()
(0004778)
streumix (reporter)
2010-03-03 11:05

I see a bunch of crashes opening current 0.7.7 projects( x86 debian unstable - latest).

At the beginning, I was faced with seg. faults open existing 0.7.6 projects.
Therefore, I've set up a new project from scratch (0.7.7), edited it for a while, but suddenly reopening this project seg. faults and I've lost several hours of work (consecutive saves have been over-writing the working version).

Since most of the seg. faults happen during the update of thumbnails, I'd suggest to start looking at this spot. In general, it looks like 0.7.7 is updating all thumbnails of a project at every startup. No re-use of old, existing thumbnails.
Why ? I don't know ....

Toby
(0004780)
dagerber (reporter)
2010-03-03 22:41

Same thing here. Opening a project stored with 0.7.7 is now segfaulting with 0.7.7.1 while updating thumbnails.
I'm on KUbuntu 9.10

Application: Kdenlive (kdenlive), signal: Segmentation fault
[Current thread is 1 (Thread 0xb7882700 (LWP 2330))]

Thread 17 (Thread 0xb2605b70 (LWP 2353)):
#0 0x00888422 in __kernel_vsyscall ()
#1 0x00565142 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
0000002 0x06bc38d4 in pthread_cond_timedwait () from /lib/tls/i686/cmov/libc.so.6
0000003 0x0070d2b9 in mlt_consumer_get_frame () from /usr/lib/libmlt.so.2
0000004 0x00562d17 in pthread_mutex_lock () from /lib/tls/i686/cmov/libpthread.so.0
Backtrace stopped: previous frame inner to this frame (corrupt stack?)

Thread 16 (Thread 0xb2e06b70 (LWP 2354)):
#0 0x00888422 in __kernel_vsyscall ()
#1 0x00564e15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
0000002 0x06bc387d in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
0000003 0x01fe421b in ?? () from /usr/lib/mlt/libmltsdl.so
Backtrace stopped: previous frame inner to this frame (corrupt stack?)

Thread 15 (Thread 0xb0911b70 (LWP 2355)):
#0 0x00888422 in __kernel_vsyscall ()
#1 0x00564e15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
0000002 0x06bc387d in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
0000003 0x00f734d2 in ?? () from /usr/lib/libQtCore.so.4
0000004 0x00f6eba2 in QMutex::lock() () from /usr/lib/libQtCore.so.4
0000005 0x0107a4e1 in QMetaObject::activate(QObject*, int, int, void**) () from /usr/lib/libQtCore.so.4
0000006 0x0107aec2 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
0000007 0x08185275 in MyThread::audioThumbProgress (this=0xaf90e80, _t1=59) at /build/buildd/kdenlive-0.7.7.1/obj-i486-linux-gnu/src/cmake_bindir/kthumb.moc:81
0000008 0x08187f4e in MyThread::run (this=0xaf90e80) at /build/buildd/kdenlive-0.7.7.1/src/kthumb.cpp:86
0000009 0x00f73e32 in ?? () from /usr/lib/libQtCore.so.4
0000010 0x0056080e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
0000011 0x06bb68de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 14 (Thread 0xb0110b70 (LWP 2356)):
#0 0x00888422 in __kernel_vsyscall ()
#1 0x00564e15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
0000002 0x06bc387d in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
0000003 0x00f734d2 in ?? () from /usr/lib/libQtCore.so.4
0000004 0x00f6eba2 in QMutex::lock() () from /usr/lib/libQtCore.so.4
0000005 0x0107a4e1 in QMetaObject::activate(QObject*, int, int, void**) () from /usr/lib/libQtCore.so.4
0000006 0x0107aec2 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
0000007 0x08185275 in MyThread::audioThumbProgress (this=0xb020cb8, _t1=92) at /build/buildd/kdenlive-0.7.7.1/obj-i486-linux-gnu/src/cmake_bindir/kthumb.moc:81
0000008 0x08187f4e in MyThread::run (this=0xb020cb8) at /build/buildd/kdenlive-0.7.7.1/src/kthumb.cpp:86
0000009 0x00f73e32 in ?? () from /usr/lib/libQtCore.so.4
0000010 0x0056080e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
0000011 0x06bb68de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 13 (Thread 0xa61ffb70 (LWP 2357)):
#0 0x00888422 in __kernel_vsyscall ()
#1 0x00564e15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
0000002 0x06bc387d in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
0000003 0x00f734d2 in ?? () from /usr/lib/libQtCore.so.4
0000004 0x00f6eba2 in QMutex::lock() () from /usr/lib/libQtCore.so.4
0000005 0x0107a4e1 in QMetaObject::activate(QObject*, int, int, void**) () from /usr/lib/libQtCore.so.4
0000006 0x0107aec2 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
0000007 0x08185275 in MyThread::audioThumbProgress (this=0xafa9758, _t1=80) at /build/buildd/kdenlive-0.7.7.1/obj-i486-linux-gnu/src/cmake_bindir/kthumb.moc:81
0000008 0x08187f4e in MyThread::run (this=0xafa9758) at /build/buildd/kdenlive-0.7.7.1/src/kthumb.cpp:86
0000009 0x00f73e32 in ?? () from /usr/lib/libQtCore.so.4
0000010 0x0056080e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
0000011 0x06bb68de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 12 (Thread 0x9fc0fb70 (LWP 2358)):
#0 0x00888422 in __kernel_vsyscall ()
#1 0x00564e15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
0000002 0x06bc387d in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
0000003 0x00f734d2 in ?? () from /usr/lib/libQtCore.so.4
0000004 0x00f6eba2 in QMutex::lock() () from /usr/lib/libQtCore.so.4
0000005 0x0107a4e1 in QMetaObject::activate(QObject*, int, int, void**) () from /usr/lib/libQtCore.so.4
0000006 0x0107aec2 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
0000007 0x08185275 in MyThread::audioThumbProgress (this=0xafaada8, _t1=97) at /build/buildd/kdenlive-0.7.7.1/obj-i486-linux-gnu/src/cmake_bindir/kthumb.moc:81
0000008 0x08187f4e in MyThread::run (this=0xafaada8) at /build/buildd/kdenlive-0.7.7.1/src/kthumb.cpp:86
0000009 0x00f73e32 in ?? () from /usr/lib/libQtCore.so.4
0000010 0x0056080e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
0000011 0x06bb68de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 11 (Thread 0x9ec0db70 (LWP 2360)):
#0 0x00888422 in __kernel_vsyscall ()
#1 0x00564e15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
0000002 0x06bc387d in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
0000003 0x00f734d2 in ?? () from /usr/lib/libQtCore.so.4
0000004 0x00f6eba2 in QMutex::lock() () from /usr/lib/libQtCore.so.4
0000005 0x0107a4e1 in QMetaObject::activate(QObject*, int, int, void**) () from /usr/lib/libQtCore.so.4
0000006 0x0107aec2 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
0000007 0x08185275 in MyThread::audioThumbProgress (this=0xb0a7388, _t1=31) at /build/buildd/kdenlive-0.7.7.1/obj-i486-linux-gnu/src/cmake_bindir/kthumb.moc:81
0000008 0x08187f4e in MyThread::run (this=0xb0a7388) at /build/buildd/kdenlive-0.7.7.1/src/kthumb.cpp:86
0000009 0x00f73e32 in ?? () from /usr/lib/libQtCore.so.4
0000010 0x0056080e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
0000011 0x06bb68de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 10 (Thread 0x9e40cb70 (LWP 2361)):
[KCrash Handler]
0000006 0x00702154 in mlt_properties_get_int () from /usr/lib/libmlt.so.2
0000007 0x00714271 in ?? () from /usr/lib/libmlt.so.2
Backtrace stopped: previous frame inner to this frame (corrupt stack?)

Thread 9 (Thread 0x9dc0bb70 (LWP 2362)):
#0 0x00888422 in __kernel_vsyscall ()
#1 0x00564e15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
0000002 0x06bc387d in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
0000003 0x00f734d2 in ?? () from /usr/lib/libQtCore.so.4
0000004 0x00f6eba2 in QMutex::lock() () from /usr/lib/libQtCore.so.4
0000005 0x0107a4e1 in QMetaObject::activate(QObject*, int, int, void**) () from /usr/lib/libQtCore.so.4
0000006 0x0107aec2 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
0000007 0x08185275 in MyThread::audioThumbProgress (this=0xb165960, _t1=9) at /build/buildd/kdenlive-0.7.7.1/obj-i486-linux-gnu/src/cmake_bindir/kthumb.moc:81
0000008 0x08187f4e in MyThread::run (this=0xb165960) at /build/buildd/kdenlive-0.7.7.1/src/kthumb.cpp:86
0000009 0x00f73e32 in ?? () from /usr/lib/libQtCore.so.4
0000010 0x0056080e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
0000011 0x06bb68de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 8 (Thread 0x9d40ab70 (LWP 2363)):
#0 0x00888422 in __kernel_vsyscall ()
#1 0x00567829 in __lll_lock_wait () from /lib/tls/i686/cmov/libpthread.so.0
0000002 0x00562f3b in _L_lock_752 () from /lib/tls/i686/cmov/libpthread.so.0
0000003 0x00562d51 in pthread_mutex_lock () from /lib/tls/i686/cmov/libpthread.so.0
0000004 0x06bc3a46 in pthread_mutex_lock () from /lib/tls/i686/cmov/libc.so.6
0000005 0x04242d29 in g_main_context_wakeup () from /lib/libglib-2.0.so.0
0000006 0x0108ed5d in QEventDispatcherGlib::wakeUp() () from /usr/lib/libQtCore.so.4
0000007 0x01064472 in QCoreApplication::postEvent(QObject*, QEvent*, int) () from /usr/lib/libQtCore.so.4
0000008 0x0106463c in QCoreApplication::postEvent(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
0000009 0x010755b5 in ?? () from /usr/lib/libQtCore.so.4
0000010 0x0107a187 in QMetaObject::activate(QObject*, int, int, void**) () from /usr/lib/libQtCore.so.4
0000011 0x0107aec2 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
0000012 0x08185275 in MyThread::audioThumbProgress (this=0xb16e700, _t1=10) at /build/buildd/kdenlive-0.7.7.1/obj-i486-linux-gnu/src/cmake_bindir/kthumb.moc:81
0000013 0x08187f4e in MyThread::run (this=0xb16e700) at /build/buildd/kdenlive-0.7.7.1/src/kthumb.cpp:86
0000014 0x00f73e32 in ?? () from /usr/lib/libQtCore.so.4
0000015 0x0056080e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
0000016 0x06bb68de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 7 (Thread 0x9cc09b70 (LWP 2364)):
#0 0x00888422 in __kernel_vsyscall ()
#1 0x00564e15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
0000002 0x06bc387d in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
0000003 0x00f734d2 in ?? () from /usr/lib/libQtCore.so.4
0000004 0x00f6eba2 in QMutex::lock() () from /usr/lib/libQtCore.so.4
0000005 0x0107a4e1 in QMetaObject::activate(QObject*, int, int, void**) () from /usr/lib/libQtCore.so.4
0000006 0x0107aec2 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
0000007 0x08185275 in MyThread::audioThumbProgress (this=0xb1774a0, _t1=10) at /build/buildd/kdenlive-0.7.7.1/obj-i486-linux-gnu/src/cmake_bindir/kthumb.moc:81
0000008 0x08187f4e in MyThread::run (this=0xb1774a0) at /build/buildd/kdenlive-0.7.7.1/src/kthumb.cpp:86
0000009 0x00f73e32 in ?? () from /usr/lib/libQtCore.so.4
0000010 0x0056080e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
0000011 0x06bb68de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 6 (Thread 0x9c408b70 (LWP 2365)):
#0 0x00888422 in __kernel_vsyscall ()
#1 0x00564e15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
0000002 0x06bc387d in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
0000003 0x00f734d2 in ?? () from /usr/lib/libQtCore.so.4
0000004 0x00f6eba2 in QMutex::lock() () from /usr/lib/libQtCore.so.4
0000005 0x0107a4e1 in QMetaObject::activate(QObject*, int, int, void**) () from /usr/lib/libQtCore.so.4
0000006 0x0107aec2 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
0000007 0x08185275 in MyThread::audioThumbProgress (this=0xb189660, _t1=7) at /build/buildd/kdenlive-0.7.7.1/obj-i486-linux-gnu/src/cmake_bindir/kthumb.moc:81
0000008 0x08187f4e in MyThread::run (this=0xb189660) at /build/buildd/kdenlive-0.7.7.1/src/kthumb.cpp:86
0000009 0x00f73e32 in ?? () from /usr/lib/libQtCore.so.4
0000010 0x0056080e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
0000011 0x06bb68de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 5 (Thread 0x9bc07b70 (LWP 2366)):
#0 0x00888422 in __kernel_vsyscall ()
#1 0x00564e15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
0000002 0x06bc387d in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
0000003 0x00f734d2 in ?? () from /usr/lib/libQtCore.so.4
0000004 0x00f6eba2 in QMutex::lock() () from /usr/lib/libQtCore.so.4
0000005 0x0107a4e1 in QMetaObject::activate(QObject*, int, int, void**) () from /usr/lib/libQtCore.so.4
0000006 0x0107aec2 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
0000007 0x08185275 in MyThread::audioThumbProgress (this=0xb192308, _t1=17) at /build/buildd/kdenlive-0.7.7.1/obj-i486-linux-gnu/src/cmake_bindir/kthumb.moc:81
0000008 0x08187f4e in MyThread::run (this=0xb192308) at /build/buildd/kdenlive-0.7.7.1/src/kthumb.cpp:86
0000009 0x00f73e32 in ?? () from /usr/lib/libQtCore.so.4
0000010 0x0056080e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
0000011 0x06bb68de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 4 (Thread 0x9b406b70 (LWP 2367)):
#0 0x00888422 in __kernel_vsyscall ()
#1 0x00564e15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
0000002 0x06bc387d in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
0000003 0x00f734d2 in ?? () from /usr/lib/libQtCore.so.4
0000004 0x00f6eba2 in QMutex::lock() () from /usr/lib/libQtCore.so.4
0000005 0x0107a4e1 in QMetaObject::activate(QObject*, int, int, void**) () from /usr/lib/libQtCore.so.4
0000006 0x0107aec2 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
0000007 0x08185275 in MyThread::audioThumbProgress (this=0xb19b288, _t1=10) at /build/buildd/kdenlive-0.7.7.1/obj-i486-linux-gnu/src/cmake_bindir/kthumb.moc:81
0000008 0x08187f4e in MyThread::run (this=0xb19b288) at /build/buildd/kdenlive-0.7.7.1/src/kthumb.cpp:86
0000009 0x00f73e32 in ?? () from /usr/lib/libQtCore.so.4
0000010 0x0056080e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
0000011 0x06bb68de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 3 (Thread 0x9ac05b70 (LWP 2368)):
#0 0x00888422 in __kernel_vsyscall ()
#1 0x00564e15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
0000002 0x06bc387d in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
0000003 0x00f734d2 in ?? () from /usr/lib/libQtCore.so.4
0000004 0x00f6eba2 in QMutex::lock() () from /usr/lib/libQtCore.so.4
0000005 0x0107a4e1 in QMetaObject::activate(QObject*, int, int, void**) () from /usr/lib/libQtCore.so.4
0000006 0x0107aec2 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
0000007 0x08185275 in MyThread::audioThumbProgress (this=0xb1a3f88, _t1=8) at /build/buildd/kdenlive-0.7.7.1/obj-i486-linux-gnu/src/cmake_bindir/kthumb.moc:81
0000008 0x08187f4e in MyThread::run (this=0xb1a3f88) at /build/buildd/kdenlive-0.7.7.1/src/kthumb.cpp:86
0000009 0x00f73e32 in ?? () from /usr/lib/libQtCore.so.4
0000010 0x0056080e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
0000011 0x06bb68de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 2 (Thread 0x9a404b70 (LWP 2369)):
#0 0x00888422 in __kernel_vsyscall ()
#1 0x00564e15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
0000002 0x06bc387d in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
0000003 0x00f734d2 in ?? () from /usr/lib/libQtCore.so.4
0000004 0x00f6eba2 in QMutex::lock() () from /usr/lib/libQtCore.so.4
0000005 0x0107a4e1 in QMetaObject::activate(QObject*, int, int, void**) () from /usr/lib/libQtCore.so.4
0000006 0x0107aec2 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
0000007 0x08185275 in MyThread::audioThumbProgress (this=0xb1d02a0, _t1=15) at /build/buildd/kdenlive-0.7.7.1/obj-i486-linux-gnu/src/cmake_bindir/kthumb.moc:81
0000008 0x08187f4e in MyThread::run (this=0xb1d02a0) at /build/buildd/kdenlive-0.7.7.1/src/kthumb.cpp:86
0000009 0x00f73e32 in ?? () from /usr/lib/libQtCore.so.4
0000010 0x0056080e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
0000011 0x06bb68de in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 1 (Thread 0xb7882700 (LWP 2330)):
#0 0x00888422 in __kernel_vsyscall ()
#1 0x06ba6fbb in read () from /lib/tls/i686/cmov/libc.so.6
0000002 0x04244c20 in g_main_context_check () from /lib/libglib-2.0.so.0
0000003 0x0424547c in ?? () from /lib/libglib-2.0.so.0
0000004 0x04245863 in g_main_context_iteration () from /lib/libglib-2.0.so.0
0000005 0x0108f02c in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
0000006 0x01319be5 in ?? () from /usr/lib/libQtGui.so.4
0000007 0x01062c79 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
0000008 0x010630ca in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
0000009 0x0106553f in QCoreApplication::exec() () from /usr/lib/libQtCore.so.4
0000010 0x01278dd7 in QApplication::exec() () from /usr/lib/libQtGui.so.4
0000011 0x080822fd in main (argc=1, argv=0xbffeab64) at /build/buildd/kdenlive-0.7.7.1/src/main.cpp:86
(0004781)
dagerber (reporter)
2010-03-03 22:53

when started from the console, I see the following after the crash in the console:

[mp3 @ 0x999e4be0]mdb:420, lastbuf:0 skipping granule 0
    Last message repeated 1 times
[mp3 @ 0x999e4be0]mdb:420, lastbuf:0 skipping granule 1
[mp3 @ 0xa86d3800]mdb:236, lastbuf:0 skipping granule 0
    Last message repeated 1 times
[mp3 @ 0xa5758d30]mdb:395, lastbuf:0 skipping granule 0
    Last message repeated 1 times
[mp3 @ 0xa5758d30]mdb:395, lastbuf:0 skipping granule 1
    Last message repeated 1 times
[mp3 @ 0xa5758d30]mdb:398, lastbuf:396 skipping granule 0

[1]+ Angehalten kdenlive
daniel@linga:$ QSocketNotifier: Invalid socket 9 and type 'Read', disabling...
QSocketNotifier: Invalid socket 11 and type 'Read', disabling...
kdenlive: Fatal IO error: client killed
[mp3 @ 0xaad1f680]mdb:412, lastbuf:0 skipping granule 0
    Last message repeated 1 times
[mp3 @ 0xaad1f680]mdb:412, lastbuf:0 skipping granule 1

[1]+ Exit 1 kdenlive
(0004785)
dagerber (reporter)
2010-03-05 13:04

When I disable the 'sound preview' kdenlive doesn't crash anymore.
This issue must have something to do with the mp3 preview...
(0004820)
streumix (reporter)
2010-03-13 15:48

Deleting the thumbs folder of a crashing projects allows to load it.
But this hold just for a single editing session. Next time it will crash again and you have to delete thumbnails again.
(0004920)
streumix (reporter)
2010-04-05 10:33
edited on: 2010-04-06 14:27

Update for 32-bit on Debian unstable:
Issue vanished after updateing a bunch of system libs and recompile of
SVN dated 4th April 2010. (post rev 4367; maybe it's related to the fix
on thumb generation due to issue http://www.kdenlive.org/mantis/view.php?id=1542 [^] , J-B-M ... what do you think ?)

Toby

(0008750)
ptitmain (developer)
2012-12-12 20:45

This bug should be closed...

- Issue History
Date Modified Username Field Change
2010-02-18 02:59 farid New Issue
2010-02-20 08:49 j-b-m Note Added: 0004731
2010-02-20 08:49 j-b-m Status new => feedback
2010-02-22 19:59 farid File Added: silza.kdenlive
2010-02-22 19:59 farid Note Added: 0004741
2010-02-22 19:59 farid Status feedback => new
2010-02-28 14:12 farid Note Added: 0004773
2010-03-03 11:05 streumix Note Added: 0004778
2010-03-03 22:41 dagerber Note Added: 0004780
2010-03-03 22:53 dagerber Note Added: 0004781
2010-03-05 13:04 dagerber Note Added: 0004785
2010-03-13 15:48 streumix Note Added: 0004820
2010-04-05 10:33 streumix Note Added: 0004920
2010-04-06 14:26 streumix Note Edited: 0004920 View Revisions
2010-04-06 14:27 streumix Note Edited: 0004920 View Revisions
2010-04-06 14:27 streumix Note Edited: 0004920 View Revisions
2012-12-12 20:45 ptitmain Note Added: 0008750
2012-12-12 20:49 j-b-m Status new => resolved
2012-12-12 20:49 j-b-m Fixed in Version => 0.7.8
2012-12-12 20:49 j-b-m Resolution open => fixed
2012-12-12 20:49 j-b-m Assigned To => j-b-m
2013-01-28 19:49 j-b-m Fixed in Version 0.7.8 => 0.9.4
2013-01-28 19:51 j-b-m Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker